Module basOO4O
    Public p_oraSess As OracleInProcServer.OraSession
    Public p_oraDb As OracleInProcServer.OraDatabase

    Public Sub main()
        Dim frmLogon As Form = New frmLogonOO4O()
        Dim intRet As MsgBoxResult

        intRet = frmLogon.ShowDialog()
        If intRet = MsgBoxResult.OK Then
            MsgBox("ログオン完了")
        ElseIf intRet = MsgBoxResult.Cancel Then
            MsgBox("ログオン キャンセル")
        End If
        frmLogon.Dispose()
        frmLogon = Nothing

    End Sub
End Module
